import request from '@/utils/request'

// 查询羊只分组关联列表
export function listSheep_grouping(query) {
  return request({
    url: '/sheep_grouping/sheep_grouping/list',
    method: 'get',
    params: query
  })
}


// 查询羊只分组关联列表（联表）
export function listSheep_grouping_join(query) {
  return request({
    url: '/sheep_grouping/sheep_grouping/listJoin',
    method: 'get',
    params: query
  })
}

// 查询羊只分组关联详细
export function getSheep_grouping(id) {
  return request({
    url: '/sheep_grouping/sheep_grouping/' + id,
    method: 'get'
  })
}

// 新增羊只分组关联
export function addSheep_grouping(data) {
  return request({
    url: '/sheep_grouping/sheep_grouping',
    method: 'post',
    data: data
  })
}

// 修改羊只分组关联
export function updateSheep_grouping(data) {
  return request({
    url: '/sheep_grouping/sheep_grouping',
    method: 'put',
    data: data
  })
}

// 删除羊只分组关联
export function delSheep_grouping(id) {
  return request({
    url: '/sheep_grouping/sheep_grouping/' + id,
    method: 'delete'
  })
}

// 根据耳号批量新增分组映射
export function addByEarTags(data) {
  return request({
    url: '/sheep_grouping/sheep_grouping/addByEarTags',
    method: 'post',
    data
  })
}



// 树形分组
export const listGroupTree = () =>
  request({
    url: '/sheep_grouping/sheep_grouping/group/tree',
    method: 'get'
  })